GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Protected Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::KeyserverTab Class Reference
Inheritance diagram for GpgFrontend::UI::KeyserverTab:
Collaboration diagram for GpgFrontend::UI::KeyserverTab:

## Signals
void | SignalRestartNeeded (bool needed)

## Public Member Functions
| KeyserverTab (QWidget *parent=nullptr)
| Construct a new Keyserver Tab object. More...
void | SetSettings ()
| Set the Settings object.
void | ApplySettings ()

## Protected Member Functions
void | contextMenuEvent (QContextMenuEvent *event) override

## Private Slots
void | slot_add_key_server ()
void | slot_refresh_table ()
void | slot_test_listed_key_server ()

## Private Attributes
std::shared_ptr< Ui_KeyServerSettings > | ui_
QString | default_key_server_
QStringList | key_server_str_list_
QMenu * | popup_menu_ {}
QRegularExpression | url_reg_

## Constructor & Destructor Documentation

## ◆ KeyserverTab()

GpgFrontend::UI::KeyserverTab::KeyserverTab | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new Keyserver Tab object.

Parameters

  parent |

## Member Function Documentation

## ◆ contextMenuEvent()

void GpgFrontend::UI::KeyserverTab::contextMenuEvent | ( | QContextMenuEvent * | event | ) |
| override protected

Parameters

  event |

## ◆ SignalRestartNeeded

void GpgFrontend::UI::KeyserverTab::SignalRestartNeeded | ( | bool | needed | ) |
| signal

Parameters

  needed |

## Member Data Documentation

## ◆ url_reg_

QRegularExpression GpgFrontend::UI::KeyserverTab::url_reg_
| private

Initial value:
{
R"(^https?:\/\/(www\.)?[-a-zA-Z0-9@:%._\+~#=]{1,256}\.[a-zA-Z0-9()]{1,6}\b([-a-zA-Z0-9()@:%_\+.~#?&//=]*)$)"}

The documentation for this class was generated from the following files:

- src/ui/dialog/settings/SettingsKeyServer.h
- src/ui/dialog/settings/SettingsKeyServer.cpp